#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts"別れ道"
puts"1:左"
puts"2:右"

while true
  print "答え入力:"
  kotae=gets.chomp.to_i
  if kotae ==1
  puts"死ぬ"
  redo
  elsif kotae == 2
    puts"生きる"
    break
  else
    puts"その選択肢はないよ!"
    redo
  end
end

puts"武器を選べ"
puts"1:斧"
puts"2:剣"

while true
  print"答え入力:"
  kotae=gets.chomp.to_i
  if kotae==1
    puts"攻撃力8速さ3の斧を手に入れた"
    break
  elsif kotae==2
    puts"攻撃力6速さ7の剣を手に入れた"
    break
  else
    puts"その選択肢はないよ"
    redo
  end
end

puts"防具を選べ"
puts"1:硬い防具"
puts"2:トゲトゲの防具"

while true
  print"答え入力"
  kotae=gets.chomp.to_i
  if kotae==1
    puts"防御力5の防具を手に入れた"
    break
  elsif kotae==2
    puts"防御力3"
    break
  else
    puts"その選択肢はないよ"
    redo
  end
end

puts"どこに行く"
puts"1:城"
puts"2:草原"

while true
  print"答え入力"
  kotae=gets.chomp.to_i
  if kotae==1
    puts"城に田辺が現れた"
    break
  elsif kotae==2
    puts"スライム現れた"
    break
  else
    puts"その選択肢はないよ"
    redo
  end
end

    
    
    
  
  
  
